Bug 1280511 - fix mixing xcb & xlib calls
fix mixing xcb & xlib calls
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cairo (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 19:03 EST by Marc-Andre Lureau
Modified: 2017-06-19 03:43 EDT (History)
2 users (show)

See Also:
Fixed In Version: cairo-1.14.8-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-19 03:43:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc-Andre Lureau 2015-11-11 19:03:17 EST
Description of problem:

Cairo apps may crash randomly with MIT-SHM errors:

(remote-viewer:29235): Gdk-ERROR **: The program 'remote-viewer' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAccess (attempt to access private resource denied)'.
  (Details: serial 2011 error_code 10 request_code 130 (MIT-SHM) minor_code 1)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the GDK_SYNCHRONIZE environment
   variable to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Trace/breakpoint trap (core dumped)

The bug has been solved upstream:

http://cgit.freedesktop.org/cairo/commit/?id=98d01cd119eaa7d50cf0ec6c6cc32ee170397ad5

Please include this fix in fedora
Comment 1 Marc-Andre Lureau 2016-09-23 15:25:02 EDT
amazed that no one else hit the issue and that it is still unsolved in fedora..., still potentially there, updating version.
Comment 2 Kalev Lember 2017-06-19 03:43:08 EDT
This was included in upstream cairo 1.14.8 release that we have in F24+.

Note You need to log in before you can comment on or make changes to this bug.